Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.crypto.fips.provider
Class SystemIdentity

    java.lang.Object
      |
      +--java.security.Identity
            |
            +--com.ibm.crypto.fips.provider.SystemIdentity

All Implemented Interfaces:
  AlgorithmStatus, java.security.Principal, java.io.Serializable

public class SystemIdentity
extends java.security.Identity
implements java.io.Serializable, AlgorithmStatus

An identity with a very simple trust mechanism.

Version:
  1.22
Author:
  Benjamin Renaud
See Also:
  Serialized Form

Constructor Summary
`SystemIdentity(java.lang.String name, java.security.IdentityScope scope)`

Method Summary
`boolean` | `isFipsApproved()` Module identifies if the cryptographic operation (algorithm) is FIPS certified
`boolean` | `isTrusted()` Is this identity trusted by sun.* facilities?
`protected void` | `setTrusted(boolean trusted)` Set the trust status of this identity.
`java.lang.String` | `toString()`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, identityEquals, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemIdentity

    public SystemIdentity(java.lang.String name,
                          java.security.IdentityScope scope)
                   throws java.security.InvalidParameterException,
                          java.security.KeyManagementException

Method Detail

### isFipsApproved

    public boolean isFipsApproved()

  Description copied from interface: `AlgorithmStatus`
  Module identifies if the cryptographic operation (algorithm) is FIPS certified
  Specified by:
    `isFipsApproved` in interface `AlgorithmStatus`
  See Also:
    `AlgorithmStatus.isFipsApproved()`

### isTrusted

    public boolean isTrusted()

  Is this identity trusted by sun.* facilities?
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

### setTrusted

    protected void setTrusted(boolean trusted)

  Set the trust status of this identity.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.security.Identity`
  Throws:
    `FIPSRuntimeException` - if SelfTest.isFipsRunnable returns false.

Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD